package com.jware.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author $Id: ArrayUtils.java,v 1.1 2010/01/13 11:52:32 clmg Exp $
 *
 */
public class ArrayUtils {

	public static Map dupMap = new HashMap();
	
	/**
	 * 引数のString配列に含まれているStringの値の重複分の
	 * 削除を行う。
	 * 
	 * @param values
	 * @return
	 */
	public static String[] distinct(String[] values) {
		
		List list = new ArrayList();
		
		dupMap.clear();
		
		for(int i=0;i<values.length;i++) {
			if (!dupMap.containsKey(values[i])) {
				list.add(values[i]);
				dupMap.put(values[i],"1");
			}
		}
		
		String[] s = (String[])list.toArray(new String[list.size()]);

		return s;
		
	}
}
